#include<iostream>
using namespace std;
int main(){
	long long int n,m;
	cin>>n>>m;
	long long int r;

	if(n==1){
		r=m;
			cout<<r<<endl;
	}else if(m==1){
		r=n;
			cout<<r<<endl;
	}else{
			r=((n*2)+((m-2)*2))+(((n-2)*(m-2))/2);
			cout<<r<<endl;
	}

	

}